package com.bla;

import com.google.api.server.spi.config.Api;
import com.google.api.server.spi.config.ApiMethod;
import com.google.api.server.spi.config.ApiNamespace;

import javax.inject.Named;

import static com.google.api.server.spi.config.ApiMethod.HttpMethod.GET;

@Api(
		name = "api",
		version = "v2",
		namespace = @ApiNamespace(
				ownerDomain = "bla.com",
				ownerName = "bla.com"
		)
)
public class ApiV2Public {
	@ApiMethod(name = "helloPublic", path = "hello/public", httpMethod = GET)
	public StringData helloPublic(@Named("name") String name) {
		return new StringData("Hello " + name);
	}
}